
Installer - Feature #3148

Refactor foreman() and smart_var() to use foreman_api

09/25/2013 02:05 PM - Greg Sutcliffe

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There's a lot of hardcoding and code duplication in these puppet functions. We can probably do better with foreman_api...

History

#1 - 10/16/2013 03:54 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#2 - 03/25/2019 10:58 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

foreman_api has been deprecated. Usage of external gems is also somewhat problematic so I'm closing this.
